# checkIP

fun Player.checkIP(detector: BadIPDetector = BadIPDetector.DEFAULT, breakOnHit: Boolean = true): Map<BadIPDetectionService, BadIPDetectionResult>
Content copied to clipboard

Checks if the IP address of the player is not a normal residential address.

This function returns the result of each detection service given by the detector.

## Parameters

detector

The compound of detection services.